/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fidentis.analyst;

import cz.fidentis.analyst.face.HumanFace;
import java.util.ArrayList;

/**
 * This class encapsulates data for creating project with primary face and 
 * secondary faces.
 *
 * @author Matej Kovar
 */
public class Project {
    
    private HumanFace primaryFace;
    private ArrayList<HumanFace> secondaryFaces = new ArrayList<>();
    
    public Project() {}

    public HumanFace getPrimaryFace() {
        return primaryFace;
    }

    public void setPrimaryFace(HumanFace primaryFace) {
        this.primaryFace = primaryFace;
    }

    public ArrayList<HumanFace> getSecondaryFaces() {
        return secondaryFaces;
    }

    public void setSecondaryFaces(ArrayList<HumanFace> secondaryFaces) {
        this.secondaryFaces = secondaryFaces;
    }
    
    
    public void addSecondaryFace(HumanFace face) {
        this.secondaryFaces.add(face);
    }
    
    public void removeSecondaryFace(HumanFace face) {
        for (int i = 0; i < secondaryFaces.size(); i++) {
            if (secondaryFaces.get(i) == face) {
                secondaryFaces.remove(i);
            }
        } 
    }
    
    public void removeSelected(ArrayList<HumanFace> faces) {
        for (int i = 0; i < faces.size(); i++) {
            this.removeSecondaryFace(faces.get(i));
        }
    }
    
    //TODO implements comparable and create comparators
}
